from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File, String, Int

Sra_Pileup_Orig_2_10_8_V0_1_0 = CommandToolBuilder(tool="sra_pileup_orig.2.10.8", base_command=["sra-pileup-orig.2.10.8"], inputs=[ToolInput(tag="in_aligned_region", input_type=Boolean(optional=True), prefix="--aligned-region", doc=InputDocumentation(doc="<name[:from-to]>  Filter by position on genome. Name can\neither be file specific name (ex: 'chr1' or\n'1'). 'from' and 'to' are 1-based coordinates")), ToolInput(tag="in_outfile", input_type=File(optional=True), prefix="--outfile", doc=InputDocumentation(doc="Output will be written to this file instead\nof std-out")), ToolInput(tag="in_table", input_type=String(optional=True), prefix="--table", doc=InputDocumentation(doc="Which alignment table(s) to use (p|s|e):\nprimary, secondary,\nevidence-interval (default p)")), ToolInput(tag="in_bzip_two", input_type=Boolean(optional=True), prefix="--bzip2", doc=InputDocumentation(doc="Compress output using bzip2")), ToolInput(tag="in_gzip", input_type=Boolean(optional=True), prefix="--gzip", doc=InputDocumentation(doc="Compress output using gzip")), ToolInput(tag="in_disable_multithreading", input_type=Boolean(optional=True), prefix="--disable-multithreading", doc=InputDocumentation(doc="disable multithreading")), ToolInput(tag="in_timing", input_type=Boolean(optional=True), prefix="--timing", doc=InputDocumentation(doc="write timing log-file")), ToolInput(tag="in_ngc", input_type=File(optional=True), prefix="--ngc", doc=InputDocumentation(doc="path to ngc file")), ToolInput(tag="in_min_mapq", input_type=Int(optional=True), prefix="--minmapq", doc=InputDocumentation(doc="Minimum mapq-value,  alignments with lower\nmapq will be ignored (default=0)")), ToolInput(tag="in_duplicates", input_type=Int(optional=True), prefix="--duplicates", doc=InputDocumentation(doc="process duplicates 0..off/1..on")), ToolInput(tag="in_spot_groups", input_type=Boolean(optional=True), prefix="--spotgroups", doc=InputDocumentation(doc="divide by spotgroups")), ToolInput(tag="in_depth_per_spot_group", input_type=Boolean(optional=True), prefix="--depth-per-spotgroup", doc=InputDocumentation(doc="print depth per spotgroup")), ToolInput(tag="in_seqname", input_type=Boolean(optional=True), prefix="--seqname", doc=InputDocumentation(doc="use original seq-name")), ToolInput(tag="in_min_mismatch", input_type=Boolean(optional=True), prefix="--minmismatch", doc=InputDocumentation(doc="min percent of mismatches used in function\nmismatch, default is 5%")), ToolInput(tag="in_merge_dist", input_type=Boolean(optional=True), prefix="--merge-dist", doc=InputDocumentation(doc="If adjacent slices are closer than this,\nthey are merged and skiplist is created.\na value of zero disables the feature,\ndefault is 10000")), ToolInput(tag="in_no_qual", input_type=Boolean(optional=True), prefix="--noqual", doc=InputDocumentation(doc="omit qualities")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Increase the verbosity of the program\nstatus messages. Use multiple times for more\nverbosity. Negates quiet.")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="Turn off all status messages for the\nprogram. Negated by verbose.")), ToolInput(tag="in_option_file", input_type=File(optional=True), prefix="--option-file", doc=InputDocumentation(doc="Read more options and parameters from the")), ToolInput(tag="in_quit_dot", input_type=String(), position=0, doc=InputDocumentation(doc="-L|--log-level <level>           Logging level as number or enum string. One ")), ToolInput(tag="in_file_dot", input_type=File(), position=0, doc=InputDocumentation(doc="sra-pileup-orig.2.10.8 : 2.10.8"))], outputs=[ToolOutput(tag="out_outfile", output_type=File(optional=True), selector=InputSelector(input_to_select="in_outfile", type_hint=File()), doc=OutputDocumentation(doc="Output will be written to this file instead\nof std-out"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Sra_Pileup_Orig_2_10_8_V0_1_0().translate("wdl", allow_empty_container=True)

